"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var prettier_1 = require("prettier");
exports.default = function (options) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    var src, dest, editor, uiWidgets, destCSS, defaultCss, css;
    return tslib_1.__generator(this, function (_a) {
        src = options.get("src");
        dest = options.get("dest");
        editor = options.get("editor");
        uiWidgets = options.get("uiWidgets", false);
        destCSS = dest + "/src/stylesheets/app.scss";
        defaultCss = "/* Add CSS here... */";
        css = editor.read(src + "/app.css", {
            defaults: defaultCss
        });
        css = css.trim();
        css = css.length ? "* { " + css + "  }" : defaultCss;
        if (uiWidgets) {
            css = "@import \"./zendesk_menus\";" + css;
            editor.copy("./src/templates/zendesk_menus.css", dest + "/src/stylesheets/zendesk_menus.css");
        }
        editor.write(destCSS, prettier_1.format(css, { parser: "postcss" }));
        return [2 /*return*/];
    });
}); };
