"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var immutable_1 = require("immutable");
var path_1 = require("path");
exports.default = function (options) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    var dest, editor, eslintConfig, rules, migratorConfig;
    return tslib_1.__generator(this, function (_a) {
        dest = options.get("dest");
        editor = options.get("editor");
        // Copy files from app scaffold as basis for migrated app source
        editor.copy(path_1.resolve(__dirname, "..", "..", "node_modules/app_scaffold/**"), dest, {
            globOptions: { dot: true }
        });
        eslintConfig = immutable_1.Map(editor.readJSON(dest + "/.eslintrc"));
        rules = [
            "unused-vars",
            "undef",
            "console",
            "unreachable",
            "debugger",
            "useless-escape"
        ].reduce(function (memo, rule) {
            memo["no-" + rule] = 0;
            return memo;
        }, {});
        migratorConfig = eslintConfig.merge({
            root: true,
            rules: rules,
            globals: {
                helpers: true,
                Base64: true
            }
        });
        editor.writeJSON(dest + "/.eslintrc", migratorConfig);
        return [2 /*return*/];
    });
}); };
