"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var chai_1 = require("chai");
var memFs = require("mem-fs");
var fsEditor = require("mem-fs-editor");
var shelljs_1 = require("shelljs");
var migrate_translations_1 = require("../../steps/migrate_translations");
var immutable_1 = require("immutable");
describe("migrate translations", function () {
    var editor;
    var options;
    var cwd = process.cwd();
    var src = cwd + "/tmp/test/v1_app";
    var dest = cwd + "/tmp/test/v2_app";
    beforeEach(function () {
        shelljs_1.mkdir("-p", [src, dest]);
        editor = fsEditor.create(memFs.create());
        options = immutable_1.Map({ src: src, dest: dest, editor: editor });
    });
    afterEach(function () {
        shelljs_1.rm("-rf", [src, dest]);
    });
    it("should copy all translation files to the destination", function () { return tslib_1.__awaiter(_this, void 0, void 0, function () {
        var translations;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    translations = ['en.json', 'fr.json', 'es.json'];
                    translations.forEach(function (file) {
                        editor.write(src + "/translations/" + file, "");
                    });
                    return [4 /*yield*/, migrate_translations_1.default(options)];
                case 1:
                    _a.sent();
                    translations.forEach(function (file) {
                        chai_1.expect(editor.exists(dest + "/src/translations/" + file)).to.be.true;
                    });
                    return [2 /*return*/];
            }
        });
    }); });
});
